package org.dromara.system.service;

import org.dromara.system.domain.PositionList;
import org.dromara.system.domain.bo.PositionBoStr;
import org.dromara.system.domain.vo.PositionDetailVo;
import org.dromara.system.domain.vo.PositionVo;
import org.dromara.system.domain.bo.PositionBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2025-03-24
 */
public interface IPositionService {

    /**
     * 查询【请填写功能名称】
     */
    PositionVo queryById(String positionId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<PositionVo> queryPageList(PositionBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<PositionVo> queryList(PositionBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(PositionBoStr bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(PositionBoStr bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    List<PositionVo> selectAll();

    PositionVo selectByPositionId(String positionId);

    PositionDetailVo selectByRoomDetail(String positionId, String roomDetailId, String roomId);

    List<PositionList> ficationBtn();


}
